Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.mfd.api
Interface SrvrSessionListener

    public interface SrvrSessionListener

This interface represents server session events listener.

User: MMarkelov Date: 08.10.12 Time: 13:31:03

Method Summary
`void` | `onConnectionLost(java.lang.String description)` This method is called whether this connection is been closed by peer or due to some connection failure.
`void` | `onLogin(int result, java.lang.String description)` This callback is called by the system to indicate login result.
`void` | `onStatusMessage(int status, java.lang.String[] extra)` This method is called when any status message received.

Method Detail

### onLogin

    void onLogin(int result,
                 java.lang.String description)

  This callback is called by the system to indicate login result.

  Parameters:
    `result` - equals to 0 for successful connection attempt, any other value means there was an error while connecting to the server.
    `description` - contains error text, null if there was no error.

### onConnectionLost

    void onConnectionLost(java.lang.String description)

  This method is called whether this connection is been closed by peer or due to some connection failure.

  Parameters:
    `description` - contains error text

### onStatusMessage

    void onStatusMessage(int status,
                         java.lang.String[] extra)

  This method is called when any status message received. Status messages provide some information from server including error responses to client's requests.

  Parameters:
    `status` - contains status message id
    `extra` - contains extended information

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2015 IFH-InfoCentre, Ltd.